<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xzzn.ems.mapper.EmsStackAlarmDataMapper">

    <resultMap type="EmsStackAlarmData" id="EmsStackAlarmDataResult">
        <result property="id"    column="id"    />
        <result property="dataTimestamp"    column="data_timestamp"    />
        <result property="siteId"    column="site_id"    />
        <result property="deviceId"    column="device_id"    />
        <result property="bmsgzzt"    column="bmsgzzt"    />
        <result property="jczt"    column="jczt"    />
        <result property="jfzt"    column="jfzt"    />
        <result property="dngzddyqyqdgjhz"    column="dngzddyqyqdgjhz"    />
        <result property="dngzddyqyzdgjhz"    column="dngzddyqyzdgjhz"    />
        <result property="dngzddyqyzzdgjhz"    column="dngzddyqyzzdgjhz"    />
        <result property="dngzddygyqdgjhz"    column="dngzddygyqdgjhz"    />
        <result property="dngzddygyzdgjhz"    column="dngzddygyzdgjhz"    />
        <result property="dngzddygyzzdgjhz"    column="dngzddygyzzdgjhz"    />
        <result property="dngzdglqdgjhz"    column="dngzdglqdgjhz"    />
        <result property="dngzdglzdgjhz"    column="dngzdglzdgjhz"    />
        <result property="dngzdglzzdgjhz"    column="dngzdglzzdgjhz"    />
        <result property="dngzjydzdqdgjhz"    column="dngzjydzdqdgjhz"    />
        <result property="dngzjydzdzdgjhz"    column="dngzjydzdzdgjhz"    />
        <result property="dngzjydzdzzdgjhz"    column="dngzjydzdzzdgjhz"    />
        <result property="dngzmkqwdqdgjhz"    column="dngzmkqwdqdgjhz"    />
        <result property="dngzmkqwdzdgjhz"    column="dngzmkqwdzdgjhz"    />
        <result property="dngzmkqwdzzdgjhz"    column="dngzmkqwdzzdgjhz"    />
        <result property="dngzmkgwdqdgjhz"    column="dngzmkgwdqdgjhz"    />
        <result property="dngzmkgwdzdgjhz"    column="dngzmkgwdzdgjhz"    />
        <result property="dngzmkgwdzzdgjhz"    column="dngzmkgwdzzdgjhz"    />
        <result property="dngdtgyqwgjhz"    column="dngdtgyqwgjhz"    />
        <result property="dngdtgyzdgjhz"    column="dngdtgyzdgjhz"    />
        <result property="dngdtgyyzgjhz"    column="dngdtgyyzgjhz"    />
        <result property="dngdtqyqwgjhz"    column="dngdtqyqwgjhz"    />
        <result property="dngdtqyzdgjhz"    column="dngdtqyzdgjhz"    />
        <result property="dngdtqyyzgjhz"    column="dngdtqyyzgjhz"    />
        <result property="dngdtycqwgjhz"    column="dngdtycqwgjhz"    />
        <result property="dngdtyczdgjhz"    column="dngdtyczdgjhz"    />
        <result property="dngdtycyzgjhz"    column="dngdtycyzgjhz"    />
        <result property="dngdtqwqwgjhz"    column="dngdtqwqwgjhz"    />
        <result property="dngdtqwzdgjhz"    column="dngdtqwzdgjhz"    />
        <result property="dngdtqwyzgjhz"    column="dngdtqwyzgjhz"    />
        <result property="dngdtgwqwgjhz"    column="dngdtgwqwgjhz"    />
        <result property="dngdtgwzdgjhz"    column="dngdtgwzdgjhz"    />
        <result property="dngdtgwyzgjhz"    column="dngdtgwyzgjhz"    />
        <result property="dngdtwcqwgjhz"    column="dngdtwcqwgjhz"    />
        <result property="dngdtwczdgjhz"    column="dngdtwczdgjhz"    />
        <result property="dngdtwcyzgjhz"    column="dngdtwcyzgjhz"    />
        <result property="dtsocdqwgjhz"    column="dtsocdqwgjhz"    />
        <result property="dtsocdzdgjhz"    column="dtsocdzdgjhz"    />
        <result property="dtsocdyzgjhz"    column="dtsocdyzgjhz"    />
        <result property="dtsocgqwgjhz"    column="dtsocgqwgjhz"    />
        <result property="dtsocgzdgjhz"    column="dtsocgzdgjhz"    />
        <result property="dtsocgyzgjhz"    column="dtsocgyzgjhz"    />
        <result property="dtsohdqwgjhz"    column="dtsohdqwgjhz"    />
        <result property="dtsohdzdgjhz"    column="dtsohdzdgjhz"    />
        <result property="dtsohdyzgjhz"    column="dtsohdyzgjhz"    />
        <result property="dtsohgqwgjhz"    column="dtsohgqwgjhz"    />
        <result property="dtsohgzdgjhz"    column="dtsohgzdgjhz"    />
        <result property="dtsohgyzgjhz"    column="dtsohgyzgjhz"    />
        <result property="dngzkslhz"    column="dngzkslhz"    />
        <result property="dngckslgjhz"    column="dngckslgjhz"    />
        <result property="dngzdyyc"    column="dngzdyyc"    />
        <result property="dnjcqdkyc"    column="dnjcqdkyc"    />
        <result property="dnjcqbhyc"    column="dnjcqbhyc"    />
        <result property="cdjz"    column="cdjz"    />
        <result property="fdjz"    column="fdjz"    />
        <result property="bmsxtgjhz"    column="bmsxtgjhz"    />
        <result property="bmsxtgzhz"    column="bmsxtgzhz"    />
        <result property="srin0"    column="srin0"    />
        <result property="srin1"    column="srin1"    />
        <result property="srin2"    column="srin2"    />
        <result property="srin3"    column="srin3"    />
        <result property="yl1"    column="yl1"    />
        <result property="yl2"    column="yl2"    />
        <result property="yl3"    column="yl3"    />
        <result property="yl4"    column="yl4"    />
        <result property="yl5"    column="yl5"    />
        <result property="yl6"    column="yl6"    />
        <result property="yl7"    column="yl7"    />
        <result property="yl8"    column="yl8"    />
        <result property="dngdzgwqwgjhz"    column="dngdzgwqwgjhz"    />
        <result property="dngdzgwzdgjhz"    column="dngdzgwzdgjhz"    />
        <result property="dngdzgwzzdgjhz"    column="dngdzgwzzdgjhz"    />
        <result property="dnmkdygyqwgjhz"    column="dnmkdygyqwgjhz"    />
        <result property="dnmkdygyzdgjhz"    column="dnmkdygyzdgjhz"    />
        <result property="dnmkdygyyzgjhz"    column="dnmkdygyyzgjhz"    />
        <result property="dnmkdyqyqwgjhz"    column="dnmkdyqyqwgjhz"    />
        <result property="dnmkdyqyzdgjhz"    column="dnmkdyqyzdgjhz"    />
        <result property="dnmkdyqyyzgjhz"    column="dnmkdyqyyzgjhz"    />
        <result property="dycjsl"    column="dycjsl"    />
        <result property="wdcjsl"    column="wdcjsl"    />
        <result property="didodi0"    column="didodi0"    />
        <result property="didodi1"    column="didodi1"    />
        <result property="didodi2"    column="didodi2"    />
        <result property="didodi3"    column="didodi3"    />
        <result property="didodi4"    column="didodi4"    />
        <result property="didodi5"    column="didodi5"    />
        <result property="didodi6"    column="didodi6"    />
        <result property="didodi7"    column="didodi7"    />
        <result property="didodi8"    column="didodi8"    />
        <result property="didodi9"    column="didodi9"    />
        <result property="didodi10"    column="didodi10"    />
        <result property="didodi11"    column="didodi11"    />
        <result property="didodi12"    column="didodi12"    />
        <result property="kttxsl"    column="kttxsl"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectEmsStackAlarmDataVo">
        select id, data_timestamp, site_id, device_id, bmsgzzt, jczt, jfzt, dngzddyqyqdgjhz, dngzddyqyzdgjhz, dngzddyqyzzdgjhz, dngzddygyqdgjhz, dngzddygyzdgjhz, dngzddygyzzdgjhz, dngzdglqdgjhz, dngzdglzdgjhz, dngzdglzzdgjhz, dngzjydzdqdgjhz, dngzjydzdzdgjhz, dngzjydzdzzdgjhz, dngzmkqwdqdgjhz, dngzmkqwdzdgjhz, dngzmkqwdzzdgjhz, dngzmkgwdqdgjhz, dngzmkgwdzdgjhz, dngzmkgwdzzdgjhz, dngdtgyqwgjhz, dngdtgyzdgjhz, dngdtgyyzgjhz, dngdtqyqwgjhz, dngdtqyzdgjhz, dngdtqyyzgjhz, dngdtycqwgjhz, dngdtyczdgjhz, dngdtycyzgjhz, dngdtqwqwgjhz, dngdtqwzdgjhz, dngdtqwyzgjhz, dngdtgwqwgjhz, dngdtgwzdgjhz, dngdtgwyzgjhz, dngdtwcqwgjhz, dngdtwczdgjhz, dngdtwcyzgjhz, dtsocdqwgjhz, dtsocdzdgjhz, dtsocdyzgjhz, dtsocgqwgjhz, dtsocgzdgjhz, dtsocgyzgjhz, dtsohdqwgjhz, dtsohdzdgjhz, dtsohdyzgjhz, dtsohgqwgjhz, dtsohgzdgjhz, dtsohgyzgjhz, dngzkslhz, dngckslgjhz, dngzdyyc, dnjcqdkyc, dnjcqbhyc, cdjz, fdjz, bmsxtgjhz, bmsxtgzhz, srin0, srin1, srin2, srin3, yl1, yl2, yl3, yl4, yl5, yl6, yl7, yl8, dngdzgwqwgjhz, dngdzgwzdgjhz, dngdzgwzzdgjhz, dnmkdygyqwgjhz, dnmkdygyzdgjhz, dnmkdygyyzgjhz, dnmkdyqyqwgjhz, dnmkdyqyzdgjhz, dnmkdyqyyzgjhz, dycjsl, wdcjsl, didodi0, didodi1, didodi2, didodi3, didodi4, didodi5, didodi6, didodi7, didodi8, didodi9, didodi10, didodi11, didodi12, kttxsl, create_by, create_time, update_by, update_time, remark from ems_stack_alarm_data
    </sql>

    <select id="selectEmsStackAlarmDataList" parameterType="EmsStackAlarmData" resultMap="EmsStackAlarmDataResult">
        <include refid="selectEmsStackAlarmDataVo"/>
        <where>
            <if test="dataTimestamp != null "> and data_timestamp = #{dataTimestamp}</if>
            <if test="siteId != null  and siteId != ''"> and site_id = #{siteId}</if>
            <if test="deviceId != null  and deviceId != ''"> and device_id = #{deviceId}</if>
            <if test="bmsgzzt != null "> and bmsgzzt = #{bmsgzzt}</if>
            <if test="jczt != null "> and jczt = #{jczt}</if>
            <if test="jfzt != null "> and jfzt = #{jfzt}</if>
            <if test="dngzddyqyqdgjhz != null "> and dngzddyqyqdgjhz = #{dngzddyqyqdgjhz}</if>
            <if test="dngzddyqyzdgjhz != null "> and dngzddyqyzdgjhz = #{dngzddyqyzdgjhz}</if>
            <if test="dngzddyqyzzdgjhz != null "> and dngzddyqyzzdgjhz = #{dngzddyqyzzdgjhz}</if>
            <if test="dngzddygyqdgjhz != null "> and dngzddygyqdgjhz = #{dngzddygyqdgjhz}</if>
            <if test="dngzddygyzdgjhz != null "> and dngzddygyzdgjhz = #{dngzddygyzdgjhz}</if>
            <if test="dngzddygyzzdgjhz != null "> and dngzddygyzzdgjhz = #{dngzddygyzzdgjhz}</if>
            <if test="dngzdglqdgjhz != null "> and dngzdglqdgjhz = #{dngzdglqdgjhz}</if>
            <if test="dngzdglzdgjhz != null "> and dngzdglzdgjhz = #{dngzdglzdgjhz}</if>
            <if test="dngzdglzzdgjhz != null "> and dngzdglzzdgjhz = #{dngzdglzzdgjhz}</if>
            <if test="dngzjydzdqdgjhz != null "> and dngzjydzdqdgjhz = #{dngzjydzdqdgjhz}</if>
            <if test="dngzjydzdzdgjhz != null "> and dngzjydzdzdgjhz = #{dngzjydzdzdgjhz}</if>
            <if test="dngzjydzdzzdgjhz != null "> and dngzjydzdzzdgjhz = #{dngzjydzdzzdgjhz}</if>
            <if test="dngzmkqwdqdgjhz != null "> and dngzmkqwdqdgjhz = #{dngzmkqwdqdgjhz}</if>
            <if test="dngzmkqwdzdgjhz != null "> and dngzmkqwdzdgjhz = #{dngzmkqwdzdgjhz}</if>
            <if test="dngzmkqwdzzdgjhz != null "> and dngzmkqwdzzdgjhz = #{dngzmkqwdzzdgjhz}</if>
            <if test="dngzmkgwdqdgjhz != null "> and dngzmkgwdqdgjhz = #{dngzmkgwdqdgjhz}</if>
            <if test="dngzmkgwdzdgjhz != null "> and dngzmkgwdzdgjhz = #{dngzmkgwdzdgjhz}</if>
            <if test="dngzmkgwdzzdgjhz != null "> and dngzmkgwdzzdgjhz = #{dngzmkgwdzzdgjhz}</if>
            <if test="dngdtgyqwgjhz != null "> and dngdtgyqwgjhz = #{dngdtgyqwgjhz}</if>
            <if test="dngdtgyzdgjhz != null "> and dngdtgyzdgjhz = #{dngdtgyzdgjhz}</if>
            <if test="dngdtgyyzgjhz != null "> and dngdtgyyzgjhz = #{dngdtgyyzgjhz}</if>
            <if test="dngdtqyqwgjhz != null "> and dngdtqyqwgjhz = #{dngdtqyqwgjhz}</if>
            <if test="dngdtqyzdgjhz != null "> and dngdtqyzdgjhz = #{dngdtqyzdgjhz}</if>
            <if test="dngdtqyyzgjhz != null "> and dngdtqyyzgjhz = #{dngdtqyyzgjhz}</if>
            <if test="dngdtycqwgjhz != null "> and dngdtycqwgjhz = #{dngdtycqwgjhz}</if>
            <if test="dngdtyczdgjhz != null "> and dngdtyczdgjhz = #{dngdtyczdgjhz}</if>
            <if test="dngdtycyzgjhz != null "> and dngdtycyzgjhz = #{dngdtycyzgjhz}</if>
            <if test="dngdtqwqwgjhz != null "> and dngdtqwqwgjhz = #{dngdtqwqwgjhz}</if>
            <if test="dngdtqwzdgjhz != null "> and dngdtqwzdgjhz = #{dngdtqwzdgjhz}</if>
            <if test="dngdtqwyzgjhz != null "> and dngdtqwyzgjhz = #{dngdtqwyzgjhz}</if>
            <if test="dngdtgwqwgjhz != null "> and dngdtgwqwgjhz = #{dngdtgwqwgjhz}</if>
            <if test="dngdtgwzdgjhz != null "> and dngdtgwzdgjhz = #{dngdtgwzdgjhz}</if>
            <if test="dngdtgwyzgjhz != null "> and dngdtgwyzgjhz = #{dngdtgwyzgjhz}</if>
            <if test="dngdtwcqwgjhz != null "> and dngdtwcqwgjhz = #{dngdtwcqwgjhz}</if>
            <if test="dngdtwczdgjhz != null "> and dngdtwczdgjhz = #{dngdtwczdgjhz}</if>
            <if test="dngdtwcyzgjhz != null "> and dngdtwcyzgjhz = #{dngdtwcyzgjhz}</if>
            <if test="dtsocdqwgjhz != null "> and dtsocdqwgjhz = #{dtsocdqwgjhz}</if>
            <if test="dtsocdzdgjhz != null "> and dtsocdzdgjhz = #{dtsocdzdgjhz}</if>
            <if test="dtsocdyzgjhz != null "> and dtsocdyzgjhz = #{dtsocdyzgjhz}</if>
            <if test="dtsocgqwgjhz != null "> and dtsocgqwgjhz = #{dtsocgqwgjhz}</if>
            <if test="dtsocgzdgjhz != null "> and dtsocgzdgjhz = #{dtsocgzdgjhz}</if>
            <if test="dtsocgyzgjhz != null "> and dtsocgyzgjhz = #{dtsocgyzgjhz}</if>
            <if test="dtsohdqwgjhz != null "> and dtsohdqwgjhz = #{dtsohdqwgjhz}</if>
            <if test="dtsohdzdgjhz != null "> and dtsohdzdgjhz = #{dtsohdzdgjhz}</if>
            <if test="dtsohdyzgjhz != null "> and dtsohdyzgjhz = #{dtsohdyzgjhz}</if>
            <if test="dtsohgqwgjhz != null "> and dtsohgqwgjhz = #{dtsohgqwgjhz}</if>
            <if test="dtsohgzdgjhz != null "> and dtsohgzdgjhz = #{dtsohgzdgjhz}</if>
            <if test="dtsohgyzgjhz != null "> and dtsohgyzgjhz = #{dtsohgyzgjhz}</if>
            <if test="dngzkslhz != null "> and dngzkslhz = #{dngzkslhz}</if>
            <if test="dngckslgjhz != null "> and dngckslgjhz = #{dngckslgjhz}</if>
            <if test="dngzdyyc != null "> and dngzdyyc = #{dngzdyyc}</if>
            <if test="dnjcqdkyc != null "> and dnjcqdkyc = #{dnjcqdkyc}</if>
            <if test="dnjcqbhyc != null "> and dnjcqbhyc = #{dnjcqbhyc}</if>
            <if test="cdjz != null "> and cdjz = #{cdjz}</if>
            <if test="fdjz != null "> and fdjz = #{fdjz}</if>
            <if test="bmsxtgjhz != null "> and bmsxtgjhz = #{bmsxtgjhz}</if>
            <if test="bmsxtgzhz != null "> and bmsxtgzhz = #{bmsxtgzhz}</if>
            <if test="srin0 != null "> and srin0 = #{srin0}</if>
            <if test="srin1 != null "> and srin1 = #{srin1}</if>
            <if test="srin2 != null "> and srin2 = #{srin2}</if>
            <if test="srin3 != null "> and srin3 = #{srin3}</if>
            <if test="yl1 != null "> and yl1 = #{yl1}</if>
            <if test="yl2 != null "> and yl2 = #{yl2}</if>
            <if test="yl3 != null "> and yl3 = #{yl3}</if>
            <if test="yl4 != null "> and yl4 = #{yl4}</if>
            <if test="yl5 != null "> and yl5 = #{yl5}</if>
            <if test="yl6 != null "> and yl6 = #{yl6}</if>
            <if test="yl7 != null "> and yl7 = #{yl7}</if>
            <if test="yl8 != null "> and yl8 = #{yl8}</if>
            <if test="dngdzgwqwgjhz != null "> and dngdzgwqwgjhz = #{dngdzgwqwgjhz}</if>
            <if test="dngdzgwzdgjhz != null "> and dngdzgwzdgjhz = #{dngdzgwzdgjhz}</if>
            <if test="dngdzgwzzdgjhz != null "> and dngdzgwzzdgjhz = #{dngdzgwzzdgjhz}</if>
            <if test="dnmkdygyqwgjhz != null "> and dnmkdygyqwgjhz = #{dnmkdygyqwgjhz}</if>
            <if test="dnmkdygyzdgjhz != null "> and dnmkdygyzdgjhz = #{dnmkdygyzdgjhz}</if>
            <if test="dnmkdygyyzgjhz != null "> and dnmkdygyyzgjhz = #{dnmkdygyyzgjhz}</if>
            <if test="dnmkdyqyqwgjhz != null "> and dnmkdyqyqwgjhz = #{dnmkdyqyqwgjhz}</if>
            <if test="dnmkdyqyzdgjhz != null "> and dnmkdyqyzdgjhz = #{dnmkdyqyzdgjhz}</if>
            <if test="dnmkdyqyyzgjhz != null "> and dnmkdyqyyzgjhz = #{dnmkdyqyyzgjhz}</if>
            <if test="dycjsl != null "> and dycjsl = #{dycjsl}</if>
            <if test="wdcjsl != null "> and wdcjsl = #{wdcjsl}</if>
            <if test="didodi0 != null "> and didodi0 = #{didodi0}</if>
            <if test="didodi1 != null "> and didodi1 = #{didodi1}</if>
            <if test="didodi2 != null "> and didodi2 = #{didodi2}</if>
            <if test="didodi3 != null "> and didodi3 = #{didodi3}</if>
            <if test="didodi4 != null "> and didodi4 = #{didodi4}</if>
            <if test="didodi5 != null "> and didodi5 = #{didodi5}</if>
            <if test="didodi6 != null "> and didodi6 = #{didodi6}</if>
            <if test="didodi7 != null "> and didodi7 = #{didodi7}</if>
            <if test="didodi8 != null "> and didodi8 = #{didodi8}</if>
            <if test="didodi9 != null "> and didodi9 = #{didodi9}</if>
            <if test="didodi10 != null "> and didodi10 = #{didodi10}</if>
            <if test="didodi11 != null "> and didodi11 = #{didodi11}</if>
            <if test="didodi12 != null "> and didodi12 = #{didodi12}</if>
            <if test="kttxsl != null "> and kttxsl = #{kttxsl}</if>
        </where>
    </select>

    <select id="selectEmsStackAlarmDataById" parameterType="Long" resultMap="EmsStackAlarmDataResult">
        <include refid="selectEmsStackAlarmDataVo"/>
        where id = #{id}
    </select>

    <insert id="insertEmsStackAlarmData" parameterType="EmsStackAlarmData" useGeneratedKeys="true" keyProperty="id">
        insert into ems_stack_alarm_data
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="dataTimestamp != null">data_timestamp,</if>
            <if test="siteId != null and siteId != ''">site_id,</if>
            <if test="deviceId != null and deviceId != ''">device_id,</if>
            <if test="bmsgzzt != null">bmsgzzt,</if>
            <if test="jczt != null">jczt,</if>
            <if test="jfzt != null">jfzt,</if>
            <if test="dngzddyqyqdgjhz != null">dngzddyqyqdgjhz,</if>
            <if test="dngzddyqyzdgjhz != null">dngzddyqyzdgjhz,</if>
            <if test="dngzddyqyzzdgjhz != null">dngzddyqyzzdgjhz,</if>
            <if test="dngzddygyqdgjhz != null">dngzddygyqdgjhz,</if>
            <if test="dngzddygyzdgjhz != null">dngzddygyzdgjhz,</if>
            <if test="dngzddygyzzdgjhz != null">dngzddygyzzdgjhz,</if>
            <if test="dngzdglqdgjhz != null">dngzdglqdgjhz,</if>
            <if test="dngzdglzdgjhz != null">dngzdglzdgjhz,</if>
            <if test="dngzdglzzdgjhz != null">dngzdglzzdgjhz,</if>
            <if test="dngzjydzdqdgjhz != null">dngzjydzdqdgjhz,</if>
            <if test="dngzjydzdzdgjhz != null">dngzjydzdzdgjhz,</if>
            <if test="dngzjydzdzzdgjhz != null">dngzjydzdzzdgjhz,</if>
            <if test="dngzmkqwdqdgjhz != null">dngzmkqwdqdgjhz,</if>
            <if test="dngzmkqwdzdgjhz != null">dngzmkqwdzdgjhz,</if>
            <if test="dngzmkqwdzzdgjhz != null">dngzmkqwdzzdgjhz,</if>
            <if test="dngzmkgwdqdgjhz != null">dngzmkgwdqdgjhz,</if>
            <if test="dngzmkgwdzdgjhz != null">dngzmkgwdzdgjhz,</if>
            <if test="dngzmkgwdzzdgjhz != null">dngzmkgwdzzdgjhz,</if>
            <if test="dngdtgyqwgjhz != null">dngdtgyqwgjhz,</if>
            <if test="dngdtgyzdgjhz != null">dngdtgyzdgjhz,</if>
            <if test="dngdtgyyzgjhz != null">dngdtgyyzgjhz,</if>
            <if test="dngdtqyqwgjhz != null">dngdtqyqwgjhz,</if>
            <if test="dngdtqyzdgjhz != null">dngdtqyzdgjhz,</if>
            <if test="dngdtqyyzgjhz != null">dngdtqyyzgjhz,</if>
            <if test="dngdtycqwgjhz != null">dngdtycqwgjhz,</if>
            <if test="dngdtyczdgjhz != null">dngdtyczdgjhz,</if>
            <if test="dngdtycyzgjhz != null">dngdtycyzgjhz,</if>
            <if test="dngdtqwqwgjhz != null">dngdtqwqwgjhz,</if>
            <if test="dngdtqwzdgjhz != null">dngdtqwzdgjhz,</if>
            <if test="dngdtqwyzgjhz != null">dngdtqwyzgjhz,</if>
            <if test="dngdtgwqwgjhz != null">dngdtgwqwgjhz,</if>
            <if test="dngdtgwzdgjhz != null">dngdtgwzdgjhz,</if>
            <if test="dngdtgwyzgjhz != null">dngdtgwyzgjhz,</if>
            <if test="dngdtwcqwgjhz != null">dngdtwcqwgjhz,</if>
            <if test="dngdtwczdgjhz != null">dngdtwczdgjhz,</if>
            <if test="dngdtwcyzgjhz != null">dngdtwcyzgjhz,</if>
            <if test="dtsocdqwgjhz != null">dtsocdqwgjhz,</if>
            <if test="dtsocdzdgjhz != null">dtsocdzdgjhz,</if>
            <if test="dtsocdyzgjhz != null">dtsocdyzgjhz,</if>
            <if test="dtsocgqwgjhz != null">dtsocgqwgjhz,</if>
            <if test="dtsocgzdgjhz != null">dtsocgzdgjhz,</if>
            <if test="dtsocgyzgjhz != null">dtsocgyzgjhz,</if>
            <if test="dtsohdqwgjhz != null">dtsohdqwgjhz,</if>
            <if test="dtsohdzdgjhz != null">dtsohdzdgjhz,</if>
            <if test="dtsohdyzgjhz != null">dtsohdyzgjhz,</if>
            <if test="dtsohgqwgjhz != null">dtsohgqwgjhz,</if>
            <if test="dtsohgzdgjhz != null">dtsohgzdgjhz,</if>
            <if test="dtsohgyzgjhz != null">dtsohgyzgjhz,</if>
            <if test="dngzkslhz != null">dngzkslhz,</if>
            <if test="dngckslgjhz != null">dngckslgjhz,</if>
            <if test="dngzdyyc != null">dngzdyyc,</if>
            <if test="dnjcqdkyc != null">dnjcqdkyc,</if>
            <if test="dnjcqbhyc != null">dnjcqbhyc,</if>
            <if test="cdjz != null">cdjz,</if>
            <if test="fdjz != null">fdjz,</if>
            <if test="bmsxtgjhz != null">bmsxtgjhz,</if>
            <if test="bmsxtgzhz != null">bmsxtgzhz,</if>
            <if test="srin0 != null">srin0,</if>
            <if test="srin1 != null">srin1,</if>
            <if test="srin2 != null">srin2,</if>
            <if test="srin3 != null">srin3,</if>
            <if test="yl1 != null">yl1,</if>
            <if test="yl2 != null">yl2,</if>
            <if test="yl3 != null">yl3,</if>
            <if test="yl4 != null">yl4,</if>
            <if test="yl5 != null">yl5,</if>
            <if test="yl6 != null">yl6,</if>
            <if test="yl7 != null">yl7,</if>
            <if test="yl8 != null">yl8,</if>
            <if test="dngdzgwqwgjhz != null">dngdzgwqwgjhz,</if>
            <if test="dngdzgwzdgjhz != null">dngdzgwzdgjhz,</if>
            <if test="dngdzgwzzdgjhz != null">dngdzgwzzdgjhz,</if>
            <if test="dnmkdygyqwgjhz != null">dnmkdygyqwgjhz,</if>
            <if test="dnmkdygyzdgjhz != null">dnmkdygyzdgjhz,</if>
            <if test="dnmkdygyyzgjhz != null">dnmkdygyyzgjhz,</if>
            <if test="dnmkdyqyqwgjhz != null">dnmkdyqyqwgjhz,</if>
            <if test="dnmkdyqyzdgjhz != null">dnmkdyqyzdgjhz,</if>
            <if test="dnmkdyqyyzgjhz != null">dnmkdyqyyzgjhz,</if>
            <if test="dycjsl != null">dycjsl,</if>
            <if test="wdcjsl != null">wdcjsl,</if>
            <if test="didodi0 != null">didodi0,</if>
            <if test="didodi1 != null">didodi1,</if>
            <if test="didodi2 != null">didodi2,</if>
            <if test="didodi3 != null">didodi3,</if>
            <if test="didodi4 != null">didodi4,</if>
            <if test="didodi5 != null">didodi5,</if>
            <if test="didodi6 != null">didodi6,</if>
            <if test="didodi7 != null">didodi7,</if>
            <if test="didodi8 != null">didodi8,</if>
            <if test="didodi9 != null">didodi9,</if>
            <if test="didodi10 != null">didodi10,</if>
            <if test="didodi11 != null">didodi11,</if>
            <if test="didodi12 != null">didodi12,</if>
            <if test="kttxsl != null">kttxsl,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="dataTimestamp != null">#{dataTimestamp},</if>
            <if test="siteId != null and siteId != ''">#{siteId},</if>
            <if test="deviceId != null and deviceId != ''">#{deviceId},</if>
            <if test="bmsgzzt != null">#{bmsgzzt},</if>
            <if test="jczt != null">#{jczt},</if>
            <if test="jfzt != null">#{jfzt},</if>
            <if test="dngzddyqyqdgjhz != null">#{dngzddyqyqdgjhz},</if>
            <if test="dngzddyqyzdgjhz != null">#{dngzddyqyzdgjhz},</if>
            <if test="dngzddyqyzzdgjhz != null">#{dngzddyqyzzdgjhz},</if>
            <if test="dngzddygyqdgjhz != null">#{dngzddygyqdgjhz},</if>
            <if test="dngzddygyzdgjhz != null">#{dngzddygyzdgjhz},</if>
            <if test="dngzddygyzzdgjhz != null">#{dngzddygyzzdgjhz},</if>
            <if test="dngzdglqdgjhz != null">#{dngzdglqdgjhz},</if>
            <if test="dngzdglzdgjhz != null">#{dngzdglzdgjhz},</if>
            <if test="dngzdglzzdgjhz != null">#{dngzdglzzdgjhz},</if>
            <if test="dngzjydzdqdgjhz != null">#{dngzjydzdqdgjhz},</if>
            <if test="dngzjydzdzdgjhz != null">#{dngzjydzdzdgjhz},</if>
            <if test="dngzjydzdzzdgjhz != null">#{dngzjydzdzzdgjhz},</if>
            <if test="dngzmkqwdqdgjhz != null">#{dngzmkqwdqdgjhz},</if>
            <if test="dngzmkqwdzdgjhz != null">#{dngzmkqwdzdgjhz},</if>
            <if test="dngzmkqwdzzdgjhz != null">#{dngzmkqwdzzdgjhz},</if>
            <if test="dngzmkgwdqdgjhz != null">#{dngzmkgwdqdgjhz},</if>
            <if test="dngzmkgwdzdgjhz != null">#{dngzmkgwdzdgjhz},</if>
            <if test="dngzmkgwdzzdgjhz != null">#{dngzmkgwdzzdgjhz},</if>
            <if test="dngdtgyqwgjhz != null">#{dngdtgyqwgjhz},</if>
            <if test="dngdtgyzdgjhz != null">#{dngdtgyzdgjhz},</if>
            <if test="dngdtgyyzgjhz != null">#{dngdtgyyzgjhz},</if>
            <if test="dngdtqyqwgjhz != null">#{dngdtqyqwgjhz},</if>
            <if test="dngdtqyzdgjhz != null">#{dngdtqyzdgjhz},</if>
            <if test="dngdtqyyzgjhz != null">#{dngdtqyyzgjhz},</if>
            <if test="dngdtycqwgjhz != null">#{dngdtycqwgjhz},</if>
            <if test="dngdtyczdgjhz != null">#{dngdtyczdgjhz},</if>
            <if test="dngdtycyzgjhz != null">#{dngdtycyzgjhz},</if>
            <if test="dngdtqwqwgjhz != null">#{dngdtqwqwgjhz},</if>
            <if test="dngdtqwzdgjhz != null">#{dngdtqwzdgjhz},</if>
            <if test="dngdtqwyzgjhz != null">#{dngdtqwyzgjhz},</if>
            <if test="dngdtgwqwgjhz != null">#{dngdtgwqwgjhz},</if>
            <if test="dngdtgwzdgjhz != null">#{dngdtgwzdgjhz},</if>
            <if test="dngdtgwyzgjhz != null">#{dngdtgwyzgjhz},</if>
            <if test="dngdtwcqwgjhz != null">#{dngdtwcqwgjhz},</if>
            <if test="dngdtwczdgjhz != null">#{dngdtwczdgjhz},</if>
            <if test="dngdtwcyzgjhz != null">#{dngdtwcyzgjhz},</if>
            <if test="dtsocdqwgjhz != null">#{dtsocdqwgjhz},</if>
            <if test="dtsocdzdgjhz != null">#{dtsocdzdgjhz},</if>
            <if test="dtsocdyzgjhz != null">#{dtsocdyzgjhz},</if>
            <if test="dtsocgqwgjhz != null">#{dtsocgqwgjhz},</if>
            <if test="dtsocgzdgjhz != null">#{dtsocgzdgjhz},</if>
            <if test="dtsocgyzgjhz != null">#{dtsocgyzgjhz},</if>
            <if test="dtsohdqwgjhz != null">#{dtsohdqwgjhz},</if>
            <if test="dtsohdzdgjhz != null">#{dtsohdzdgjhz},</if>
            <if test="dtsohdyzgjhz != null">#{dtsohdyzgjhz},</if>
            <if test="dtsohgqwgjhz != null">#{dtsohgqwgjhz},</if>
            <if test="dtsohgzdgjhz != null">#{dtsohgzdgjhz},</if>
            <if test="dtsohgyzgjhz != null">#{dtsohgyzgjhz},</if>
            <if test="dngzkslhz != null">#{dngzkslhz},</if>
            <if test="dngckslgjhz != null">#{dngckslgjhz},</if>
            <if test="dngzdyyc != null">#{dngzdyyc},</if>
            <if test="dnjcqdkyc != null">#{dnjcqdkyc},</if>
            <if test="dnjcqbhyc != null">#{dnjcqbhyc},</if>
            <if test="cdjz != null">#{cdjz},</if>
            <if test="fdjz != null">#{fdjz},</if>
            <if test="bmsxtgjhz != null">#{bmsxtgjhz},</if>
            <if test="bmsxtgzhz != null">#{bmsxtgzhz},</if>
            <if test="srin0 != null">#{srin0},</if>
            <if test="srin1 != null">#{srin1},</if>
            <if test="srin2 != null">#{srin2},</if>
            <if test="srin3 != null">#{srin3},</if>
            <if test="yl1 != null">#{yl1},</if>
            <if test="yl2 != null">#{yl2},</if>
            <if test="yl3 != null">#{yl3},</if>
            <if test="yl4 != null">#{yl4},</if>
            <if test="yl5 != null">#{yl5},</if>
            <if test="yl6 != null">#{yl6},</if>
            <if test="yl7 != null">#{yl7},</if>
            <if test="yl8 != null">#{yl8},</if>
            <if test="dngdzgwqwgjhz != null">#{dngdzgwqwgjhz},</if>
            <if test="dngdzgwzdgjhz != null">#{dngdzgwzdgjhz},</if>
            <if test="dngdzgwzzdgjhz != null">#{dngdzgwzzdgjhz},</if>
            <if test="dnmkdygyqwgjhz != null">#{dnmkdygyqwgjhz},</if>
            <if test="dnmkdygyzdgjhz != null">#{dnmkdygyzdgjhz},</if>
            <if test="dnmkdygyyzgjhz != null">#{dnmkdygyyzgjhz},</if>
            <if test="dnmkdyqyqwgjhz != null">#{dnmkdyqyqwgjhz},</if>
            <if test="dnmkdyqyzdgjhz != null">#{dnmkdyqyzdgjhz},</if>
            <if test="dnmkdyqyyzgjhz != null">#{dnmkdyqyyzgjhz},</if>
            <if test="dycjsl != null">#{dycjsl},</if>
            <if test="wdcjsl != null">#{wdcjsl},</if>
            <if test="didodi0 != null">#{didodi0},</if>
            <if test="didodi1 != null">#{didodi1},</if>
            <if test="didodi2 != null">#{didodi2},</if>
            <if test="didodi3 != null">#{didodi3},</if>
            <if test="didodi4 != null">#{didodi4},</if>
            <if test="didodi5 != null">#{didodi5},</if>
            <if test="didodi6 != null">#{didodi6},</if>
            <if test="didodi7 != null">#{didodi7},</if>
            <if test="didodi8 != null">#{didodi8},</if>
            <if test="didodi9 != null">#{didodi9},</if>
            <if test="didodi10 != null">#{didodi10},</if>
            <if test="didodi11 != null">#{didodi11},</if>
            <if test="didodi12 != null">#{didodi12},</if>
            <if test="kttxsl != null">#{kttxsl},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
        </trim>
    </insert>

    <update id="updateEmsStackAlarmData" parameterType="EmsStackAlarmData">
        update ems_stack_alarm_data
        <trim prefix="SET" suffixOverrides=",">
            <if test="dataTimestamp != null">data_timestamp = #{dataTimestamp},</if>
            <if test="siteId != null and siteId != ''">site_id = #{siteId},</if>
            <if test="deviceId != null and deviceId != ''">device_id = #{deviceId},</if>
            <if test="bmsgzzt != null">bmsgzzt = #{bmsgzzt},</if>
            <if test="jczt != null">jczt = #{jczt},</if>
            <if test="jfzt != null">jfzt = #{jfzt},</if>
            <if test="dngzddyqyqdgjhz != null">dngzddyqyqdgjhz = #{dngzddyqyqdgjhz},</if>
            <if test="dngzddyqyzdgjhz != null">dngzddyqyzdgjhz = #{dngzddyqyzdgjhz},</if>
            <if test="dngzddyqyzzdgjhz != null">dngzddyqyzzdgjhz = #{dngzddyqyzzdgjhz},</if>
            <if test="dngzddygyqdgjhz != null">dngzddygyqdgjhz = #{dngzddygyqdgjhz},</if>
            <if test="dngzddygyzdgjhz != null">dngzddygyzdgjhz = #{dngzddygyzdgjhz},</if>
            <if test="dngzddygyzzdgjhz != null">dngzddygyzzdgjhz = #{dngzddygyzzdgjhz},</if>
            <if test="dngzdglqdgjhz != null">dngzdglqdgjhz = #{dngzdglqdgjhz},</if>
            <if test="dngzdglzdgjhz != null">dngzdglzdgjhz = #{dngzdglzdgjhz},</if>
            <if test="dngzdglzzdgjhz != null">dngzdglzzdgjhz = #{dngzdglzzdgjhz},</if>
            <if test="dngzjydzdqdgjhz != null">dngzjydzdqdgjhz = #{dngzjydzdqdgjhz},</if>
            <if test="dngzjydzdzdgjhz != null">dngzjydzdzdgjhz = #{dngzjydzdzdgjhz},</if>
            <if test="dngzjydzdzzdgjhz != null">dngzjydzdzzdgjhz = #{dngzjydzdzzdgjhz},</if>
            <if test="dngzmkqwdqdgjhz != null">dngzmkqwdqdgjhz = #{dngzmkqwdqdgjhz},</if>
            <if test="dngzmkqwdzdgjhz != null">dngzmkqwdzdgjhz = #{dngzmkqwdzdgjhz},</if>
            <if test="dngzmkqwdzzdgjhz != null">dngzmkqwdzzdgjhz = #{dngzmkqwdzzdgjhz},</if>
            <if test="dngzmkgwdqdgjhz != null">dngzmkgwdqdgjhz = #{dngzmkgwdqdgjhz},</if>
            <if test="dngzmkgwdzdgjhz != null">dngzmkgwdzdgjhz = #{dngzmkgwdzdgjhz},</if>
            <if test="dngzmkgwdzzdgjhz != null">dngzmkgwdzzdgjhz = #{dngzmkgwdzzdgjhz},</if>
            <if test="dngdtgyqwgjhz != null">dngdtgyqwgjhz = #{dngdtgyqwgjhz},</if>
            <if test="dngdtgyzdgjhz != null">dngdtgyzdgjhz = #{dngdtgyzdgjhz},</if>
            <if test="dngdtgyyzgjhz != null">dngdtgyyzgjhz = #{dngdtgyyzgjhz},</if>
            <if test="dngdtqyqwgjhz != null">dngdtqyqwgjhz = #{dngdtqyqwgjhz},</if>
            <if test="dngdtqyzdgjhz != null">dngdtqyzdgjhz = #{dngdtqyzdgjhz},</if>
            <if test="dngdtqyyzgjhz != null">dngdtqyyzgjhz = #{dngdtqyyzgjhz},</if>
            <if test="dngdtycqwgjhz != null">dngdtycqwgjhz = #{dngdtycqwgjhz},</if>
            <if test="dngdtyczdgjhz != null">dngdtyczdgjhz = #{dngdtyczdgjhz},</if>
            <if test="dngdtycyzgjhz != null">dngdtycyzgjhz = #{dngdtycyzgjhz},</if>
            <if test="dngdtqwqwgjhz != null">dngdtqwqwgjhz = #{dngdtqwqwgjhz},</if>
            <if test="dngdtqwzdgjhz != null">dngdtqwzdgjhz = #{dngdtqwzdgjhz},</if>
            <if test="dngdtqwyzgjhz != null">dngdtqwyzgjhz = #{dngdtqwyzgjhz},</if>
            <if test="dngdtgwqwgjhz != null">dngdtgwqwgjhz = #{dngdtgwqwgjhz},</if>
            <if test="dngdtgwzdgjhz != null">dngdtgwzdgjhz = #{dngdtgwzdgjhz},</if>
            <if test="dngdtgwyzgjhz != null">dngdtgwyzgjhz = #{dngdtgwyzgjhz},</if>
            <if test="dngdtwcqwgjhz != null">dngdtwcqwgjhz = #{dngdtwcqwgjhz},</if>
            <if test="dngdtwczdgjhz != null">dngdtwczdgjhz = #{dngdtwczdgjhz},</if>
            <if test="dngdtwcyzgjhz != null">dngdtwcyzgjhz = #{dngdtwcyzgjhz},</if>
            <if test="dtsocdqwgjhz != null">dtsocdqwgjhz = #{dtsocdqwgjhz},</if>
            <if test="dtsocdzdgjhz != null">dtsocdzdgjhz = #{dtsocdzdgjhz},</if>
            <if test="dtsocdyzgjhz != null">dtsocdyzgjhz = #{dtsocdyzgjhz},</if>
            <if test="dtsocgqwgjhz != null">dtsocgqwgjhz = #{dtsocgqwgjhz},</if>
            <if test="dtsocgzdgjhz != null">dtsocgzdgjhz = #{dtsocgzdgjhz},</if>
            <if test="dtsocgyzgjhz != null">dtsocgyzgjhz = #{dtsocgyzgjhz},</if>
            <if test="dtsohdqwgjhz != null">dtsohdqwgjhz = #{dtsohdqwgjhz},</if>
            <if test="dtsohdzdgjhz != null">dtsohdzdgjhz = #{dtsohdzdgjhz},</if>
            <if test="dtsohdyzgjhz != null">dtsohdyzgjhz = #{dtsohdyzgjhz},</if>
            <if test="dtsohgqwgjhz != null">dtsohgqwgjhz = #{dtsohgqwgjhz},</if>
            <if test="dtsohgzdgjhz != null">dtsohgzdgjhz = #{dtsohgzdgjhz},</if>
            <if test="dtsohgyzgjhz != null">dtsohgyzgjhz = #{dtsohgyzgjhz},</if>
            <if test="dngzkslhz != null">dngzkslhz = #{dngzkslhz},</if>
            <if test="dngckslgjhz != null">dngckslgjhz = #{dngckslgjhz},</if>
            <if test="dngzdyyc != null">dngzdyyc = #{dngzdyyc},</if>
            <if test="dnjcqdkyc != null">dnjcqdkyc = #{dnjcqdkyc},</if>
            <if test="dnjcqbhyc != null">dnjcqbhyc = #{dnjcqbhyc},</if>
            <if test="cdjz != null">cdjz = #{cdjz},</if>
            <if test="fdjz != null">fdjz = #{fdjz},</if>
            <if test="bmsxtgjhz != null">bmsxtgjhz = #{bmsxtgjhz},</if>
            <if test="bmsxtgzhz != null">bmsxtgzhz = #{bmsxtgzhz},</if>
            <if test="srin0 != null">srin0 = #{srin0},</if>
            <if test="srin1 != null">srin1 = #{srin1},</if>
            <if test="srin2 != null">srin2 = #{srin2},</if>
            <if test="srin3 != null">srin3 = #{srin3},</if>
            <if test="yl1 != null">yl1 = #{yl1},</if>
            <if test="yl2 != null">yl2 = #{yl2},</if>
            <if test="yl3 != null">yl3 = #{yl3},</if>
            <if test="yl4 != null">yl4 = #{yl4},</if>
            <if test="yl5 != null">yl5 = #{yl5},</if>
            <if test="yl6 != null">yl6 = #{yl6},</if>
            <if test="yl7 != null">yl7 = #{yl7},</if>
            <if test="yl8 != null">yl8 = #{yl8},</if>
            <if test="dngdzgwqwgjhz != null">dngdzgwqwgjhz = #{dngdzgwqwgjhz},</if>
            <if test="dngdzgwzdgjhz != null">dngdzgwzdgjhz = #{dngdzgwzdgjhz},</if>
            <if test="dngdzgwzzdgjhz != null">dngdzgwzzdgjhz = #{dngdzgwzzdgjhz},</if>
            <if test="dnmkdygyqwgjhz != null">dnmkdygyqwgjhz = #{dnmkdygyqwgjhz},</if>
            <if test="dnmkdygyzdgjhz != null">dnmkdygyzdgjhz = #{dnmkdygyzdgjhz},</if>
            <if test="dnmkdygyyzgjhz != null">dnmkdygyyzgjhz = #{dnmkdygyyzgjhz},</if>
            <if test="dnmkdyqyqwgjhz != null">dnmkdyqyqwgjhz = #{dnmkdyqyqwgjhz},</if>
            <if test="dnmkdyqyzdgjhz != null">dnmkdyqyzdgjhz = #{dnmkdyqyzdgjhz},</if>
            <if test="dnmkdyqyyzgjhz != null">dnmkdyqyyzgjhz = #{dnmkdyqyyzgjhz},</if>
            <if test="dycjsl != null">dycjsl = #{dycjsl},</if>
            <if test="wdcjsl != null">wdcjsl = #{wdcjsl},</if>
            <if test="didodi0 != null">didodi0 = #{didodi0},</if>
            <if test="didodi1 != null">didodi1 = #{didodi1},</if>
            <if test="didodi2 != null">didodi2 = #{didodi2},</if>
            <if test="didodi3 != null">didodi3 = #{didodi3},</if>
            <if test="didodi4 != null">didodi4 = #{didodi4},</if>
            <if test="didodi5 != null">didodi5 = #{didodi5},</if>
            <if test="didodi6 != null">didodi6 = #{didodi6},</if>
            <if test="didodi7 != null">didodi7 = #{didodi7},</if>
            <if test="didodi8 != null">didodi8 = #{didodi8},</if>
            <if test="didodi9 != null">didodi9 = #{didodi9},</if>
            <if test="didodi10 != null">didodi10 = #{didodi10},</if>
            <if test="didodi11 != null">didodi11 = #{didodi11},</if>
            <if test="didodi12 != null">didodi12 = #{didodi12},</if>
            <if test="kttxsl != null">kttxsl = #{kttxsl},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteEmsStackAlarmDataById" parameterType="Long">
        delete from ems_stack_alarm_data where id = #{id}
    </delete>

    <delete id="deleteEmsStackAlarmDataByIds" parameterType="String">
        delete from ems_stack_alarm_data where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>